;**************************************************************************
; DEMO.ASM					(c) Ing. Miroslav Nmeek
;
; Demonstran a testovac program pro procesory PIC16xxx. 
;--------------------------------------------------------------------------
; Na porty jsou pipojeny LED diody. Program t stav na portech (port A
; vzestupn, port B sestupn), LED diody blikaj se sniujc se frekvenc.
;**************************************************************************

	CONFIG	WDT	; zapnut asova WatchDog

	clrw		; W <- 0
	TRIS	5	; port A jako vstup
	TRIS	6	; port B jako vstup

	movlw	8+1	; peddlika k WDT, dlic pomr 1/2
	OPTION		; nastaven registru OPTION

Loop	SLEEP		; ekn na impuls WDT

	incf	5,1	; inkrementace portu A
	decf	6,1	; dekrementace portu B
	goto	Loop	; dal ekn
