;**************************************************************************
; EWTEST.ASM					(c) Ing. Miroslav Nmeek
;--------------------------------------------------------------------------
; Testovac program pro modul EyeWatch. LED diody stdav blikaj
; s piblin 1-sekundovou prodlevou.
;**************************************************************************

	RADIX	DEC
	CONFIG	LP
	CONFIG	WDT
	ORG	0

; ----- nastaven smru port A a B

Start	bsf	STATUS,RP0	; zapnut banky 1

	movlw	11101b		; RA1 jako vstup
	movwf	TRISA		; nastaven smru port A

	movlw	11001111b	; RB4 a RB5 jako vstup
	movwf	TRISB		; nastaven smru port B

; ----- nastaven asovae WDT na piblin 1 sekundu

	movlw	6 + bit3 + bit7	; asova WDT s peddlikou 1/64
	movwf	OPTION_REG	; nastaven registru asova

	bcf	STATUS,RP0	; zapnut banky 0

; ----- svt zelen (port RA1)

Loop	sleep			; ekn na impuls od WDT
	movlw	11101b		; vstup RA1 zapnut
	movwf	PORTA		; nastaven vstupu na port A
	movlw	11111111b	; vstupy RB4 a RB5 vypnuty
	movwf	PORTB		; nastaven vstupu na port B

; ----- svt lut

	sleep			; ekn na impuls od WDT
	movlw	11111b		; vstup RA1 vypnut
	movwf	PORTA		; nastaven vstupu na port A
	movlw	11011111b	; vstup RB4 vypnut, RB5 zapnut
	movwf	PORTB		; nastaven vstupu na port B

; ----- svt erven

	sleep			; ekn na impuls od WDT
	movlw	11101111b	; vstup RB4 zapnut, RB5 vypnut
	movwf	PORTB		; nastaven vstupu na port B
	goto	Loop		; opakovn blikn
